package com.unis.base.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.unis.base.common.vo.SampleQueryVO;
import com.unis.base.common.vo.SampleVO;
import com.unis.base.server.domain.SampleDomain;
import com.unis.base.server.service.SampleService;
import com.unis.common.utils.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title TyYpxxbServiceImpl
 * @ProjectName TyYpxxbServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class SampleServiceImpl implements SampleService {

	@Autowired
	private SampleDomain sampleDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<SampleVO> getSampleList(SampleQueryVO sampleVO) {
		return sampleDomain.getSampleList(sampleVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<SampleVO> getSamplePage(SampleQueryVO sampleVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return sampleDomain.getSampleList(sampleVO);
	}

	/**
	 * 添加
	 */
	@Override
	public SampleVO insert(SampleVO sampleVO) {
		return sampleDomain.insert(sampleVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(SampleVO sampleVO) {
		return sampleDomain.update(sampleVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String ypid) {
		SampleVO sampleVO = sampleDomain.getSampleInfoByypid(ypid);
		if (sampleVO == null) {
			return -1;
		}
		sampleVO.setStatus(0);
		return sampleDomain.update(sampleVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public SampleVO getSampleInfoByypid(String ypid) {
		return sampleDomain.getSampleInfoByypid(ypid);
	}



	/**
	 * 用样品单编号获取样品信息
	 * @param ypdbh
	 * @return
	 */
	@Override
	public SampleVO getSampleInfoByypdid(String ypdbh) {

		return	sampleDomain.getSampleInfoByypdid(ypdbh);

	}





	/**
	 * 批量新增样品信息
	 * @param sampleVO
	 * @return
	 */
	@Override
	public int batchInserts(List<SampleVO> sampleVO) {
		return sampleDomain.batchInserts(sampleVO);
	}
}
